# funnel

Takes packets from various input sinks into one output source.

will forward sticky events from its first active sink pad and, if is set to true, it will forward sticky events each time a pad becomes active.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──funnel

## Factory details

Authors: – Olivier Crete

Classification: – `Generic`

Rank – none

Plugin – coreelements

Package – GStreamer

## Pad Templates

### `sink_%u`

    ANY

Presence – request

Direction – sink

Object type – GstPad

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Properties

### forward-sticky-events

    “forward-sticky-events” gboolean

Forward sticky events on stream changes

Flags : Read / Write

Default value : true

The results of the search are